/*
 * Copyright 02/26/07 Sun Microsystems, Inc. All Rights Reserved
 */

#pragma ident "@(#)tha_interface.h 1.6 07/02/26"

#ifndef __tha_interface_h_
#define __tha_interface_h_

#include <stdlib.h>
#include <inttypes.h>

#ifdef __cplusplus
extern "C" {
#endif

extern void tha_notify_acquire_lock (uintptr_t lock_id);
extern void tha_notify_lock_acquired (uintptr_t lock_id);
extern void tha_notify_acquire_writelock (uintptr_t lock_id);
extern void tha_notify_writelock_acquired (uintptr_t lock_id);
extern void tha_notify_acquire_readlock (uintptr_t lock_id);
extern void tha_notify_readlock_acquired (uintptr_t lock_id);
extern void tha_notify_release_lock (uintptr_t lock_id);
extern void tha_notify_lock_released (uintptr_t lock_id);

extern void tha_notify_sync_post_begin (uintptr_t sobj_id);
extern void tha_notify_sync_post_end (uintptr_t sobj_id);
extern void tha_notify_sync_wait_begin (uintptr_t sobj_id);
extern void tha_notify_sync_wait_end (uintptr_t sobj_id);

#ifdef __cplusplus
}
#endif


#endif
