!  @(#)tha_finterface.h 1.3 (Sun Microsystems, Inc.) 07/02/26
!    Copyright 02/26/07  Sun Microsystems, Inc.
!    All rights reserved.
!  THA Interface Header File

        integer, parameter :: tha_sobj_kind = 8

! In the following interface, kind=8 is used instead of
! tha_sobj_kind because tha_sobj_kind is not defined
! in the subroutines in the interface block.

        interface

        subroutine tha_notify_acquire_lock(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_lock_acquired(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_acquire_writelock(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_writelock_acquired(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_acquire_readlock(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_readlock_acquired(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_release_lock(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_lock_released(lock_id)
        integer(kind=8), intent(in) :: lock_id
        end subroutine

        subroutine tha_notify_sync_post_begin(sobj_id)
        integer(kind=8), intent(in) :: sobj_id
        end subroutine

        subroutine tha_notify_sync_post_end(sobj_id)
        integer(kind=8), intent(in) :: sobj_id
        end subroutine

        subroutine tha_notify_sync_wait_begin(sobj_id)
        integer(kind=8), intent(in) :: sobj_id
        end subroutine

        subroutine tha_notify_sync_wait_end(sobj_id)
        integer(kind=8), intent(in) :: sobj_id
        end subroutine


        end interface
